#
# Load basic modules
#
LoadModule authz_host_module modules/mod_authz_host.so
LoadModule dir_module        modules/mod_dir.so
LoadModule env_module        modules/mod_env.so
LoadModule mime_module       modules/mod_mime.so


#
# Load PHP module with correct "php.ini"
#
LoadModule php5_module ../php5/php5apache2_2.dll
PHPINIDir  /nv_web/php5


#
# Set a valid temporary folder (e.g. used by PHP)
#
SetEnv TMP  /nv_web/temp
SetEnv TEMP /nv_web/temp


#
# Basic server config
#
ServerName  localhost
ServerAdmin info@newvoice.ch

ServerRoot   "/nv_web/apache"
DocumentRoot "/nv_web/nvapps"


#
# WinNT MPM config
#
KeepAlive On
KeepAliveTimeout 15
MaxKeepAliveRequests 80 


#
# Full initial restrictions (on all folders, ".htaccess" and ".htpasswd")
#
<Directory />
    # Avoid extra system call per filename (using FollowSymLinks)
    Options FollowSymLinks
    AllowOverride None
    Order Allow,Deny
    Deny from all
</Directory>

<FilesMatch "^\.ht">
    Order Allow,Deny
    Deny from all
    Satisfy All
</FilesMatch>


#
# Main server will always respond with an error page ("wrong server config")
#
<Directory "/nv_web/nvapps">
    #ErrorDocument 403 "/nv_web/nvapps/config_error.php"
    ErrorDocument 403 "There is a wrong binding of the Apache Server. Please recheck the configuration files."
    Order Allow,Deny
    Deny from all
</Directory>


#
# Main error logging
#
LogLevel info
ErrorLog "||../bin/cronolog.exe ../logs/nvwsvr_error_%Y%m%d.log"


#
# MIME type handling
#
DefaultType text/plain
TypesConfig conf/mime.types

AddType application/x-httpd-php  .php


#
# Load additional virtual host configurations
#
Include "../conf/vhosts/*_on.conf"
